Bug 98099 - dots are displayed in wrong direction in BIDI strings
Summary: dots are displayed in wrong direction in BIDI strings
Status: RESOLVED INTENTIONAL
Alias: None
Product: kbabel
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal with 41 votes (vote)
Target Milestone: ---
Assignee: Stanislav Visnovsky
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-28 21:12 UTC by Diego Iastrubni
Modified: 2008-10-11 01:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
dots on the wrong location (59.66 KB, image/png)
2005-01-28 21:15 UTC, Diego Iastrubni
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Iastrubni 2005-01-28 21:12:10 UTC
Version:            (using KDE KDE 3.3.91)
Installed from:    Compiled From Sources

in RTL/BIDI messages the dot indicating spaces are displayed on the wrong side. The start position should start in the right, not left.
Comment 1 Diego Iastrubni 2005-01-28 21:15:56 UTC
Created attachment 9334 [details]
dots on the wrong location

This image displays the problem, look at the original string, and the
translation.
Comment 2 Stanislav Visnovsky 2005-05-29 14:59:51 UTC
Sorry, I will try to fix this for KDE 4.0.
Comment 3 Diego Iastrubni 2005-05-30 17:25:41 UTC
you know, I was thinking of it... the way you do the
syntax highlighting in kbabel is quite "stupid"
(sorry). Is there a reason why you did not implement a
QSyntaxHilighter? Qt2.x legacy code?

About the dots... Are you familiar with The
QStyleSheet? Maybe this can help us with this problem.

BTW. I know that Qt4 does not have a QSyntaxHilighter,
but silll... :)

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 
Comment 4 Stanislav Visnovsky 2005-05-30 17:39:35 UTC
Of course kbabel uses QSyntaxHighlighter ;)

Are you sure QStyleSheet could solve the problem?
But you are right, I have no idea how much is possible to achieve with
the style sheet.
Comment 5 Stanislav Visnovsky 2005-07-02 09:34:17 UTC
Let's postpone this for KDE 4.
Comment 6 Diego Iastrubni 2008-10-11 01:56:54 UTC
kbabel was dropped in kde4, kde3 will not be maintained anymore (and IMHO it's not possible to fix this in Qt3, only Qt4 adds the needed support in QTextCursor).

Sorry, closing as no one will fix kbabel. Lokalize can get fixed, and has a similar feature already.